<?php
    header('Access-Control-Allow-Origin: '.$config->get('site_url'));
    header('Content-Type: application/json');
    header('Access-Control-Allow-Methods: POST');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

    $response;
    if($_SERVER["REQUEST_METHOD"] == "POST") {
        if(isset($_POST['csrf_token']) && $anticsrf->validate($_POST['csrf_token'])) {
            if(isset($_POST['email']) && !empty($_POST['email']) && isset($_POST['password']) && !empty($_POST['password'])) {
                $email       = $_POST['email'];
                $password    = $_POST['password'];
                $redirect    = isset($_POST['returnUrl']) && $_POST['returnUrl'] != '' ? $_POST['returnUrl'] : '/';

                $result      = $db->query("SELECT id, status, password, firstname, lastname, email, phone, avatar, guid FROM {$db->prefix}users WHERE email = :email", array(':email'=>$email));
                if ($result->num_rows == 1) {
                    if($result->row["status"] == 0){
                        $response = array('status'=>false, 'message'=>"Hesabınız devre dışı bırakılmış. Lütfen teknik destek ekibiyle iletişime geçiniz.");
                    }else {
                        if(password_verify($password, $result->row["password"])) {
                            $session->data['logged_in']  = true;
                            $session->data['user_id']    = $result->row["id"];
                            $session->data['type']       = "user";
                            $session->data['name']       = $result->row["firstname"]." ".$result->row["lastname"];
                            $session->data['email']      = $result->row["email"];
                            $session->data['phone']      = $result->row["phone"];
                            $session->data['avatar']     = $result->row["avatar"];
                            $session->data['user_guid']  = $result->row["guid"];
                            
                            $response[] = array('status'=>true, 'redirect'=>$redirect, 'message'=>'Giriş başarılı. ');
                        }else{
                            $response[] = array('status'=>false, 'message'=>"Kullanıcı adı veya parola hatalı");
                        }
                    }
                }else{
                    $response[] = array('status'=>false, 'message'=>"Kullanıcı adı veya parola hatalı");
                }
            }else{
                $response[] = array('status'=>false, 'message'=>"Lütfen tüm zorunlu alanları doldurunuz");
            }
        }else {
            $response[] = array('status'=>false, 'message'=>'Hatalı CSRF Token.');
        }
    } else {
        $response[] = array('status'=>false, 'message'=>"Hatalı istek.");
    }

    echo json_encode($response);